Subject: [dhcwg] [Technical Errata Reported] RFC8357 (6008)

From: RFC Errata System <[email-masked]>
Date: Thu, 5 Mar 2020 03:07:46 -0800 (PST)

The following errata report has been submitted for RFC8357,
"Generalized UDP Source Port for DHCP Relay".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6008

--------------------------------------
Type: Technical
Reported by: Stéphane Bortzmeyer <[email-masked]>

Section: 4.2

Original Text
-------------
Option-Code:  OPTION_RELAY_PORT. 16-bit value, 135.

Option-Len:  16-bit value to be set to 2.

Corrected Text
--------------
Option-Code:  OPTION_RELAY_PORT. 13-bit value, 135.

Option-Len:  19-bit value to be set to 2.

Notes
-----
Discrepancy between the diagram and the text noted by draft-mcquistin-augmented-ascii-diagrams-02

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8357 (draft-ietf-dhc-relay-port-10)
--------------------------------------
Title               : Generalized UDP Source Port for DHCP Relay
Publication Date    : March 2018
Author(s)           : N. Shen, E. Chen
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 5 Mar 2020 12:04:44 +0000

The diagram is a bit off, but the text is correct that option-code and option-len are both 16-bits.

We can log errata that diagram is broken, but the text is correct.

- Bernie

> On Mar 5, 2020, at 6:08 AM, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 5 Mar 2020 22:32:57 +0000

The change to the diagram seems to have happened during the RFC process (the -10 draft has the correct diagram).

I don't recall how we can handle errata and whether it is better to "cancel" the current one and substitute a different one that has the correct text, as follows:

The incorrect "diagram" is in Section 4.2:

       0                   1                   2                   3

       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      |    OPTION_RELAY_PORT    |         Option-Len                  |

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      |    Downstream Source Port     |

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

The correct diagram (from draft-ietf-dhc-relay-port-10 after updating the option name which is what I think caused the issue):

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |       OPTION_RELAY_PORT       |         Option-Len            |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |    Downstream Source Port     |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Note: You need to assure that the diagrams are in a fixed space font (such as Courier New).

As per RFC8415, the option code (OPTION_RELAY_PORT) and option length fields (Option-Len) are both 16-bits – see https://tools.ietf.org/html/rfc8415#section-21.1).

  *   Bernie

-----Original Message-----
From: Bernie Volz (volz)
Sent: Thursday, March 5, 2020 7:05 AM
To: RFC Errata System <[email-masked]>
Cc: [email-masked]; Enke Chen (enkechen) <[email-masked]>; [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [dhcwg] [Technical Errata Reported] RFC8357 (6008)

- Bernie

> Discrepancy between the diagram and the text noted by

> draft-mcquistin-augmented-ascii-diagrams-02

> use "Reply All" to discuss whether it should be verified or rejected.

> When a decision is reached, the verifying party can log in to change

> the status and edit the report, if necessary.

---

From: Megan Ferguson <[email-masked]>
Date: Sun, 15 Mar 2020 21:57:20 -0700

Hi Bernie,

Apologies for the much-delayed reply.

We went ahead and edited this report as we believe you intended.  Please review and confirm.

Thank you.

RFC Editor/mf

On Mar 5, 2020, at 2:32 PM, Bernie Volz (volz) <[email-masked]> wrote:

> As per RFC8415, the option code (OPTION_RELAY_PORT) and option length fields (Option-Len) are both 16-bits – seehttps://tools.ietf.org/html/rfc8415#section-21.1).
>  
> 	• Bernie
>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 16 Mar 2020 18:13:42 +0000

Hi Megan:

Looks good!

Thanks! 

- Bernie

-----Original Message-----
From: Megan Ferguson <[email-masked]> 
Sent: Monday, March 16, 2020 12:57 AM
To: Bernie Volz (volz) <[email-masked]>; [email-masked]
Cc: RFC System <[email-masked]>; [email-masked]; Enke Chen (enkechen) <[email-masked]>; [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [dhcwg] [Technical Errata Reported] RFC8357 (6008)

Hi Bernie,

Thank you.

RFC Editor/mf

On Mar 5, 2020, at 2:32 PM, Bernie Volz (volz) <[email-masked]> wrote:

> Cc: [email-masked]; Enke Chen (enkechen) <[email-masked]>; 
> [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; 
> [email-masked]; [email-masked]; [email-masked]